Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface GraphicEvent

All Known Subinterfaces:
  GraphicChangeEvent, GraphicKeyEvent, GraphicMouseEvent

    public interface GraphicEvent

Provides a common abstraction for the various event objects pertaining to key, mouse, other implementation-specific controls, or change events on a `Graphic`.

Method Summary
`void` | `consume()` Consumes this `GraphicEvent` so that it will not be processed in the default manner by the source from which it originated.
`Graphic` | `getGraphic()` Returns the `Graphic` this `GraphicEvent` initially occurred on.
`boolean` | `isConsumed()` Returns whether or not this event has been consumed.

Method Detail

### getGraphic

    Graphic getGraphic()

  Returns the `Graphic` this `GraphicEvent` initially occurred on.

  Returns:
    the `Graphic` source of this event or `null` if none.

### consume

    void consume()

  Consumes this `GraphicEvent` so that it will not be processed in the default manner by the source from which it originated.

### isConsumed

    boolean isConsumed()

  Returns whether or not this event has been consumed.

  Returns:
    the consumed status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.